//Responsive Controls
// Harbuger menu
$("#hmenu a").click(function() {
    $('.bar').toggleClass('animate');
    if ($("#oer_sidebar").hasClass("hide")) {
        $("#oer_sidebar").removeClass("hide");
    } else {
        $("#oer_sidebar").addClass("hide");
    }
});
// Controls Show / Hide
$("#p1_toggle").click(function() {
    if ($("#p1").hasClass("show")) {
        $("#p1_toggle i").removeClass("fa-chevron-circle-down");
        $("#p1_toggle i").addClass("fa-chevron-circle-up");
    } else {
        $("#p1_toggle i").removeClass("fa-chevron-circle-up");
        $("#p1_toggle i").addClass("fa-chevron-circle-down");
    }
});

$("#p2_toggle").click(function() {
    if ($("#p2").hasClass("show")) {
        $("#p2_toggle i").removeClass("fa-chevron-circle-down");
        $("#p2_toggle i").addClass("fa-chevron-circle-up");
    } else {
        $("#p2_toggle i").removeClass("fa-chevron-circle-up");
        $("#p2_toggle i").addClass("fa-chevron-circle-down");
    }
});

$("#p3_toggle").click(function() {
    if ($(".p3").hasClass("show")) {
        $("#p3_toggle i").removeClass("fa-chevron-circle-down");
        $("#p3_toggle i").addClass("fa-chevron-circle-up");
    } else {
        $("#p3_toggle i").removeClass("fa-chevron-circle-up");
        $("#p3_toggle i").addClass("fa-chevron-circle-down");
    }
});

// Minus and Plus buttons

function f_minus_click() {
    power_f = $("#num_power_f").val();
    if (power_f > config.power_f_min) {
        power_f--;
        $("#num_power_f").val(power_f);
        $("#power_f").val(power_f);
        power_f_changed();
    }
}

function f_plus_click() {
    power_f = $("#num_power_f").val();
    if (power_f < config.power_f_max) {
        power_f++;
        $("#num_power_f").val(power_f);
        $("#power_f").val(power_f);
        power_f_changed();
    }
}

function length_minus_click() {
    length_l = parseFloat($("#num_length").val());
    if (length_l > config.length_l_min) {
        length_l -= 0.1;
        length_l = length_l.toFixed(1);
        $("#num_length").val(length_l);
        $("#length").val(length_l);
        length_l_changed();
    }


}

function length_plus_click() {
    length_l = parseFloat($("#num_length").val());
    console.log(length_l);
    if (length_l < config.length_l_max) {
        length_l += 0.1;
        length_l = length_l.toFixed(1);
        $("#num_length").val(length_l);
        $("#length").val(length_l);
        length_l_changed();
    }
}

function angle_minus_click() {
    angle = $("#num_angle").val();
    if (angle > config.angle_min) {
        angle--;
        $("#num_angle").val(angle);
        $("#angle").val(angle);
        angle_changed();
    }
}

function angle_plus_click() {
    angle = $("#num_angle").val();
    if (angle < config.angle_max) {
        angle++;
        $("#num_angle").val(angle);
        $("#angle").val(angle);
        angle_changed();
    }
}





$("#f_minus").on('click', f_minus_click);
$("#f_plus").on('click', f_plus_click);
$("#length_minus").on('click', length_minus_click);
$("#length_plus").on('click', length_plus_click);
$("#angle_minus").on('click', angle_minus_click);
$("#angle_plus").on('click', angle_plus_click);


// Locks

//Lock Force
$("#lock_f").click(function() {
    if ($("#lock_f").hasClass("fa-unlock")) {
        $("#lock_f").css("color", "#d96214");
        $("#lock_f").removeClass("fa-unlock");
        $("#lock_f").addClass("fa-lock");
        $("#power_f").prop('disabled', true);
        $("#num_power_f").prop('disabled', true);
        $("#f_minus").off('click');
        $("#f_plus").off('click');
    } else {
        $("#lock_f").css("color", "black");
        $("#lock_f").removeClass("fa-lock");
        $("#lock_f").addClass("fa-unlock");
        $("#power_f").prop('disabled', false);
        $("#num_power_f").prop('disabled', false);
        $("#f_minus").on("click", f_minus_click);
        $("#f_plus").on("click", f_plus_click);
    }
});
//Lock Length
$("#lock_l").click(function() {
    if ($("#lock_l").hasClass("fa-unlock")) {
        $("#lock_l").css("color", "#d96214");
        $("#lock_l").removeClass("fa-unlock");
        $("#lock_l").addClass("fa-lock");
        $("#length").prop('disabled', true);
        $("#num_length").prop('disabled', true);
        $("#length_minus").off('click');
        $("#length_plus").off('click');
    } else {
        $("#lock_l").css("color", "black");
        $("#lock_l").removeClass("fa-lock");
        $("#lock_l").addClass("fa-unlock");
        $("#length").prop('disabled', false);
        $("#num_length").prop('disabled', false);
        $("#length_minus").on("click", length_minus_click);
        $("#length_plus").on("click", length_plus_click);
    }
});
//Lock Angle
$("#lock_a").click(function() {
    if ($("#lock_a").hasClass("fa-unlock")) {
        $("#lock_a").css("color", "#d96214");
        $("#lock_a").removeClass("fa-unlock");
        $("#lock_a").addClass("fa-lock");
        $("#angle").prop('disabled', true);
        $("#num_angle").prop('disabled', true);
        $("#angle_minus").off('click');
        $("#angle_plus").off('click');
    } else {
        $("#lock_a").css("color", "black");
        $("#lock_a").removeClass("fa-lock");
        $("#lock_a").addClass("fa-unlock");
        $("#angle").prop('disabled', false);
        $("#num_angle").prop('disabled', false);
        $("#angle_minus").on("click", angle_minus_click);
        $("#angle_plus").on("click", angle_plus_click);
    }
});
// Theory Button
$("#btn_theory").click(function() {
    if ($("#oer_theory").hasClass("hide")) {
        $("#oer_theory").removeClass("hide");
        $("#btn_theory").addClass("active");
        $("#oer_application").addClass("hide");
        $("#btn_application").removeClass("active");
        $("#oer_investigation").addClass("hide");
        $("#btn_investigation").removeClass("active");
    } else {
        $("#oer_theory").addClass("hide");
        $("#btn_theory").removeClass("active");
    }
});


// Application Button
$("#btn_application").click(function() {
    if ($("#oer_application").hasClass("hide")) {
        $("#oer_theory").addClass("hide");
        $("#btn_theory").removeClass("active");
        $("#oer_application").removeClass("hide");
        $("#btn_application").addClass("active");
        $("#oer_investigation").addClass("hide");
        $("#btn_investigation").removeClass("active");
    } else {
        $("#oer_application").addClass("hide");
        $("#btn_application").removeClass("active");
    }
});


// Investigation Button
$("#btn_investigation").click(function() {
    if ($("#oer_investigation").hasClass("hide")) {
        $("#oer_theory").addClass("hide");
        $("#btn_theory").removeClass("active");
        $("#oer_application").addClass("hide");
        $("#btn_application").removeClass("active");
        $("#oer_investigation").removeClass("hide");
        $("#btn_investigation").addClass("active");
    } else {
        $("#oer_investigation").addClass("hide");
        $("#btn_investigation").removeClass("active");
    }
});